package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

/**
 *
 *
 * @author zxfei
 */
public enum MessageProtocolEnum {
    JSON("json", "未激活");
    private String value;
    private String desc;

    MessageProtocolEnum(String value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public String getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static MessageProtocolEnum getByValue(String value) {
        for (MessageProtocolEnum activeEnum : MessageProtocolEnum.values()) {
            if (value.equals(activeEnum.getValue())) {
                return activeEnum;
            }
        }
        return null;
    }

    /**
     * 获取Map集合
     *
     * @param eItem 不包含项
     * @return
     */
    public static Map<String, String> getEnumMap(String... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (MessageProtocolEnum item : MessageProtocolEnum.values()) {
            try {
                boolean hasE = false;
                for (String e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue(), item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}